Updates needed

What do you love about LastPass? What do you hate about it? Tell us why you like it, why you don't, and why.

Moderators: admin, anatoly_LP, chantieLP, JoeSiegrist, robyn

Updates needed

Postby mirage » Mon Oct 16, 2017 10:41 am

LastPass seems to be behind the curve when it comes to keeping up with browser updates, its flagged as legacy as the latest version of Firefox and many sub menus return blank in both Firefox and Chrome.
Your last update was in June? That is a long time for an internet app.
mirage
 
Posts: 1
Joined: Mon Oct 16, 2017 10:39 am

Re: Updates needed

Postby jpenny84 » Mon Oct 16, 2017 11:03 am

The legacy flag has to do with a Firefox update due in November. Current listed extensions are still fully compatible with Firefox 56. In addition, Tlthere's already a beta version that is compatible with Firefox 57.

https://blog.lastpass.com/2017/10/lastp ... x-57.html/

Extensions listed on addons.mozilla.org are subject to manual review by Mozilla. This can take months with a big complicated extension like LastPass and is out of LastPass' control.
jpenny84
 
Posts: 7493
Joined: Tue Mar 06, 2012 9:10 pm


Return to Feedback

Who is online

Users browsing this forum: Bing [Bot] and 12 guests